End Of Day
This service performs the end-of-day (batch close) operation for the GMU device.
As a result of the operation, a summary report is returned based on the acquirer.
Retrieve End of Day Report
post/v2/terminal-host/gmu/eod
Performs the end-of-day batch close operation for the GMU device. The financial day of the device is closed and an acquirer-based summary report is returned.
Authorizations
AuthorizationstringRequired
Bearer Token authentication is performed using the access token.
Header parameters
Content-TypestringRequiredExample:
Content type
application/jsonBody
localestringOptionalExample:
Language code. Default is TR
TRconversationIdstringOptionalExample:
Correlation ID
eod-conv-001deviceUniqueIdstringRequiredExample:
Device unique ID. Maximum 64 characters
P00134useSummarybooleanOptionalExample:
Whether summary end-of-day should be used
falseResponses
200
Successful end-of-day result
application/json
statusstringOptionalExample:
success or failure
successerrorCodestringOptionalExample:
Error code
0errorMessagestringOptionalExample:
Error details
Error messageconversationIdstringOptionalExample:
Correlation ID
eod-conv-001systemTimeintegerOptionalExample:
Timestamp
1743980400000batchNostringOptionalExample:
Closed batch number
0042resultMessagestringOptionalExample:
End-of-day result message
End-of-day completed successfully400
Invalid request
application/json
post/v2/terminal-host/gmu/eod
POST /v2/terminal-host/gmu/eod HTTP/1.1
Host: api.iyzipay.com
Authorization: Bearer {{access_token}}
Content-Type: application/json
{
"locale": "TR",
"conversationId": "eod-conv-001",
"deviceUniqueId": "P00134",
"useSummary": false
}
{
"status": "success",
"conversationId": "eod-conv-001",
"systemTime": 1743980400000,
"batchNo": "0042",
"resultMessage": "End-of-day completed successfully",
"tails": [
{
"acquirerId": "12",
"terminalId": "00001234",
"bankMerchantId": "00000001234",
"totalTransactionAmount": "1180.00",
"totalTransactionCount": "10",
"acquirerName": "Sample Bank",
"batchNo": "0042",
"responseCode": "00",
"internalErrorCode": null
}
]
}Last updated
